import request from '@/utils/request'


// 档案证明服务

// 新增
export const addList = data => {
  return request({
    url: '/point-strategy/v/archiveProve/add',
    method: 'post',
    data
  })
}

// 批量删除
export const batchDelete = data => {
  return request({
    url: '/point-strategy/v/archiveProve/batchDelete',
    method: 'post',
    params:data
  })
}

// 单个删除
export const deleteList = data => {
  return request({
    url: '/point-strategy/v/archiveProve/delete',
    method: 'post',
    params:data
  })
}

// 根据ID查询
export const queryById = params => {
  return request({
    url: '/point-strategy/v/archiveProve/queryById',
    method: 'get',
    params:params
  })
}

// 查询列表
export const selectList = data => {
  return request({
    url: '/point-strategy/v/archiveProve/selectList',
    method: 'post',
    data
  })
}


// 修改
export const updateList = data => {
  return request({
    url: '/point-strategy/v/archiveProve/update',
    method: 'post',
    data
  })
}

// 报表查看
export const createArchiveProvePdf = params => {
  return request({
    url: '/point-strategy/v/archiveProve/createArchiveProvePdf',
    method: 'get',
    params
  })
}
